#include "Branch_iterator.h"

#include "Atom.h"
#include "Atom_kit.h"

namespace MM
{
Branch_iterator::
Branch_iterator (Atom & root_atom, Atom & outside_atom)
:
    Molecular_width_iterator(root_atom)
{
    outside_atom.kit().flag().set (Atom_kit::molecular_mark);
}

}//MM
